<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/video_data_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/19/85  video_data_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>The video_data_ subroutine is a data segment containing information
<span id="L5" class="LineNr"> 5 </span>about the video system.
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>Entry points in video_data_:
<span id="L9" class="LineNr"> 9 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>:Entry:  terminal_iocb:  03/19/85 video_data_$terminal_iocb
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>Function:  This is the terminal control switch IOCB pointer.  If the
<span id="L16" class="LineNr">16 </span>video system is activated for the user's terminal, this pointer is
<span id="L17" class="LineNr">17 </span>nonnull, and points to the IOCB for the switch user_terminal_.
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>declare video_data_$terminal_iocb pointer external static;
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>Notes:
<span id="L24" class="LineNr">24 </span>User programs may use this pointer for two purposes:
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>1. Inquiring as to whether the video system is activated, by checking
<span id="L27" class="LineNr">27 </span>   to see if the pointer is null.
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>2. Determining the physical characteristics and capabilities of the
<span id="L30" class="LineNr">30 </span>   terminal.  This may be accomplished with the get_capabilities
<span id="L31" class="LineNr">31 </span>   control order, described under the window_io_ I/O module.  The
<span id="L32" class="LineNr">32 </span>   height and width returned will be that of the physical terminal
<span id="L33" class="LineNr">33 </span>   screen.
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>   No other manipulations of this switch are permitted.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
